shishi_derive_default_salt(3)

NAME
shishi_derive_default_salt - API function

SYNOPSIS
#include <shishi.h>

int shishi_derive_default_salt(Shishi * handle, const char * name, char ** salt);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * name
    principal name of user.

char ** salt
    output variable with newly allocated salt string.

DESCRIPTION
Derive the default salt from a principal. The default salt is the concatenation of the decoded realm and the principal.

RETURN VALUE
Return SHISHI_OK if successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.